import 'package:backend_dart/domain/entities/user.dart';

abstract class UserRepository {
  Future<void> create(User user);
  Future<User?> findByEmail(String email);
  Future<User?> findById(String id);
}
